// mode: -*- C++ -*-
#ifndef __CONFIG_H
#define __CONFIG_H

#ifdef _MSC_VER
#pragma warning (disable: 4503)
#pragma warning (disable: 4786)
#endif

#include "SDL_types.h"

#define NUMBINDABLE 3

typedef enum {
    KEY_SIDEBAR = 0, KEY_STOP, KEY_ALLY
} KEY_TYPE;

typedef struct
{
    Uint32	videoflags;
    Uint16 width, height, bpp, serverport;
    Uint8 intro, gamenum, gamemode, totalplayers, playernum, 
          scrollstep, scrolltime, maxscroll, finaldelay;
    bool nosound, playvqa, allowsandbagging;
    SDL_GrabMode grabmode;
    SDLKey bindablekeys[NUMBINDABLE];
    Uint8 bindablemods[NUMBINDABLE];
    Uint8 buildable_radius;
    char map[8];
    char vqamovie[16];
    char nick[16];
    char side_colour[16];
    char mside[16];
    char serveraddr[256];
}
ConfigType;

const ConfigType& getConfig();

#endif /* __CONFIG_H */
